//
//  XDViewController.m
//  GenericModules
//
//  Created by Xiong on 05/17/2023.
//  Copyright (c) 2023 Xiong. All rights reserved.
//

#import "XDViewController.h"
#import <TestView.h>
#import <LJGAssetsPickersView.h>
#import <AppUIDefine.h>
#import <RefreshGifHeaderLottie.h>
#import <RefreshGifFooterLottie.h>
#import <LJGLoading.h>


@interface XDViewController ()<UITableViewDelegate, UITableViewDataSource>

@property (nonatomic, strong) UITableView *showTableView;
@property (nonatomic, strong) RefreshGifHeaderLottie *refreshGifHeaderLottie;

@end

@implementation XDViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor redColor];
    

//    LJGAssetsPickersView *assetsVC = [[LJGAssetsPickersView alloc] initWithFrame:CGRectMake(0, 64, self.view.bounds.size.width, self.view.bounds.size.height - 64)];
//    assetsVC.maxCount = 9;
//    assetsVC.allowPickingImage = YES;
//    assetsVC.allowPickingVideo = NO;
//    [self.view addSubview:assetsVC];
//
    
    [self.view addSubview:self.showTableView];
    self.showTableView.mj_header = [RefreshGifHeaderLottie headerWithRefreshingBlock:^{
        NSLog(@"来了");
    }];
    
    self.showTableView.mj_footer = [RefreshGifFooterLottie footerWithRefreshingBlock:^{
        NSLog(@"也来了");
    }];
}

-(UITableView *)showTableView {
    if(nil == _showTableView) {
        _showTableView = [[UITableView alloc]initWithFrame:CGRectMake(0, xNavigationBarHeight, ScreenWidth, ScreenHeight - xNavigationBarHeight) style:UITableViewStylePlain];
        _showTableView.separatorStyle = UITableViewCellSeparatorStyleNone;
        _showTableView.delegate = self;
        _showTableView.dataSource = self;
        _showTableView.backgroundColor = [UIColor whiteColor];
        
    }
    return _showTableView;
}

#pragma tableView--delegate
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 30;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    return 40;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *identify = @"cellIdentify";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:identify];
    if(nil == cell) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:identify];
    }
    cell.textLabel.text = [NSString stringWithFormat:@"%ld", indexPath.row + 1];
    cell.textLabel.font = [UIFont systemFontOfSize:16 weight:UIFontWeightMedium];
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath{
    [tableView.mj_header endRefreshing];
    [tableView.mj_footer endRefreshing];
}

@end
